2704 branch - Windows Requirements

Discussion of current events and participation in intelligent conversation with other CEF users.

2704 branch - Windows Requirements

Postby fasecero » Tue Jun 07, 2016 3:52 pm

Still undecided whether to update with 2704 or stay a while longer with 2623. If I understand correctly from the client side 2704 branch requires the following:

Code: Select all
 - Windows 7 SP1 or higher
 - Microsoft Visual C ++ 2015 Redistributable Update 2
 - Windows 10 Universal C Runtime

Some customers may ignore these components... so I believe it is necessary to create a setup that automatically install them. But it's not an easy task, Win10 C Runtime installer is a zip with several installers:

Code: Select all
X64-based Windows 8.1 requires S14 update(KB2919355), Windows Server 2012 R2:      Windows8.1-KB2999226-x64.msu
X86-based Windows 8.1 requires S14 update(KB2919355):                              Windows8.1-KB2999226-x86.msu
Arm-based Windows 8.1 requires S14 update(KB2919355):                              Windows8.1-KB2999226-arm.msu
X64-based Windows 8, Windows Server 2012:                                          Windows8-RT-KB2999226-x64.msu
X86-based Windows 8:                                                               Windows8-RT-KB2999226-x86.msu
Arm-based Windows 8:                                                               Windows8-RT-KB2999226-arm.msu
x64-based Windows 7 SP1 or greater, Windows Server 2008 R2:                        Windows6.1-KB2999226-x64.msu
X86-based Windows 7 SP1 or greater:                                                Windows6.1-KB2999226-x86.msu

The above table makes it very difficult to create a setup that automatically install these components.
fasecero
Mentor
 
Posts: 60
Joined: Mon May 12, 2014 2:53 pm

Re: 2704 branch - Windows Requirements

Postby magreenblatt » Tue Jun 07, 2016 3:58 pm

fasecero wrote:Still undecided whether to update with 2704 or stay a while longer with 2623. If I understand correctly from the client side 2704 branch requires the following:

Code: Select all
 - Windows 7 SP1 or higher
 - Microsoft Visual C ++ 2015 Redistributable Update 2
 - Windows 10 Universal C Runtime

Where did you find that list of requirements? The CEF project does not require separate runtimes.
magreenblatt
Site Admin
 
Posts: 8036
Joined: Fri May 29, 2009 6:57 pm

Re: 2704 branch - Windows Requirements

Postby fasecero » Tue Jun 07, 2016 4:07 pm

Hi. From https://bitbucket.org/chromiumembedded/ ... ndBuilding

Windows Build Requirements: Win 7+, VS2015u2, Win10.0.10586 SDK, Ninja
fasecero
Mentor
 
Posts: 60
Joined: Mon May 12, 2014 2:53 pm

Re: 2704 branch - Windows Requirements

Postby magreenblatt » Tue Jun 07, 2016 4:19 pm

fasecero wrote:Hi. From https://bitbucket.org/chromiumembedded/ ... ndBuilding

Windows Build Requirements: Win 7+, VS2015u2, Win10.0.10586 SDK, Ninja

That page does not list "Microsoft Visual C ++ 2015 Redistributable Update 2" or "Windows 10 Universal C Runtime", which are runtime requirements. VS2015u2 and Win10.0.10586 SDK are build requirements only.
magreenblatt
Site Admin
 
Posts: 8036
Joined: Fri May 29, 2009 6:57 pm

Re: 2704 branch - Windows Requirements

Postby fasecero » Tue Jun 07, 2016 4:42 pm

Oh my, I always thought that build requirements results in runtime requirements. That's very good news, indeed. Definitely will be using 2704 then.

One more time thanks a lot
fasecero
Mentor
 
Posts: 60
Joined: Mon May 12, 2014 2:53 pm

Re: 2704 branch - Windows Requirements

Postby magreenblatt » Tue Jun 07, 2016 4:52 pm

Note that Windows 7+ is a runtime requirement. 2704 branch does not support older versions of Windows.
magreenblatt
Site Admin
 
Posts: 8036
Joined: Fri May 29, 2009 6:57 pm


Return to General Discussion

Who is online

Users browsing this forum: No registered users and 1 guest

Fatal: Not able to open ./cache/data_global.php